<?php
/*
* $Author: Mr.King <5460083+qingmedia@users.noreply.gitee.com> $
* $Date: 2019-11-22 08:30:36 +0800 (周五, 2019-11-22) $
* $Revision: 25 $
*
* 由js定时提交用户信息并保存在文件中，统计最近的在线人数
*/
session_start();
require_once ("../config.php");

//创建一个session，用以记录浏览器开始的时间
if (!isset($_SESSION['start_time'])){
	$_SESSION['start_time'] = time(); 
}

//写入、刷新更新用户信息到今天的目录
$data = array(
			//'time'=>time(),
			//'sid'=>session_id(),
			'ip'=>$_SERVER["REMOTE_ADDR"],
			'agent'=>$_SERVER['HTTP_USER_AGENT'],
		);
		
// 检查信息保存目录是否存在，否则创建
$dir = "../data/".date("Ymd",time())."/online/";
if (!file_exists($dir)) {
	if (!mkdir($dir,0777,true)) {
		exit('创建目录失败:'.$dir);
	}
}

// 用户信息数据记录到文件
$dest_file = $dir . session_id()."_" . $_SESSION['start_time'];
$content = serialize($data);
file_put_contents($dest_file, $content); 

// 读取今天的所有访问用户产生的所有记录
$file = glob($dir."*");
$ary = array();

// 按访用户信息记录的修改时间排序，计算截止时间内在线人数
$time = time() - ONLINE_TIME * 60; //例：截止时间30分钟内在线人数，以当前timestamp 减去30*60秒，

foreach ($file as $value){
	if (filemtime($value) > $time ){
		$ary[] = $value;
	}
}

$num_total = count($file); // 所有记录数
$num_count = count($ary);  // 截止时间内记录数

echo "最近".ONLINE_TIME."分钟内有".$num_count."次观看";
echo "，";
echo "今日共".$num_total."人次";
