<?php
/*
* $Author: Mr.King <5460083+qingmedia@users.noreply.gitee.com> $
* $Date: 2019-11-22 08:30:36 +0800 (周五, 2019-11-22) $
* $Revision: 25 $
*
* 接收js提交的留言数据并保存在文件中，返回状态json数据供js判断
*/
session_start();
require_once ("../config.php");
require_once ('../function.php');

// 状态信息，用于ajax研判
$result['state'] = ""; 

// 检查用户ip是否在允许范围
$check = check_ip($_SERVER["REMOTE_ADDR"],"../setting/ip_list_allow.txt");
if ($check ==0) {
	$result['state'] = "您的ip地址受限制了。";
	exit(json_encode($result));
}

// 用户资料初始化
$data = array();
$data['time'] = time();
$data['sid'] = session_id();
$data['ip'] = $_SERVER["REMOTE_ADDR"];
$data['username'] = isset($_POST['username'])? mb_substr(trim(strip_tags($_POST['username'])),0,10,'UTF-8'):""; // 保留10个有效字符

// 检查信息保存目录是否存在，否则创建
$dir = "../data/".date("Ymd",$data['time'])."/msg/";
if (!file_exists($dir)) {
	if (!mkdir($dir,0777,true)) {
		$result['state'] = '创建目录失败:'.$dir;
	}
}

// 验证信息
if (isset($_POST['subject'])){
	$data['subject'] = trim(htmlspecialchars($_POST['subject']));
	if (empty($data['subject'])){
		$result['state'] = "留言不能为空。";
	}	
} else {
	$result['state'] = "_POST['subject']没有提交。";
}	

// 如果没有任何状况就保存留言信息
if (empty($result['state'])){
	$dest_file = $dir . date("His",$data['time']) . "_" . session_id();
	$content = serialize($data);	
	if (file_put_contents($dest_file, $content)){
		$result['state'] = "ok";
	} else {
		$result['state'] = "文件写入错误：".$dest_file;
	}
}

exit(json_encode($result));
