<?php
/*
* $Author: Mr.King <5460083+qingmedia@users.noreply.gitee.com> $
* $Date: 2019-12-26 11:03:40 +0800 (周四, 2019-12-26) $
* $Revision: 44 $
*
* 首页程序
*/
session_start();
require_once ("config.php");
require_once ('function.php');

$check = check_ip($_SERVER["REMOTE_ADDR"],"setting/ip_list_allow.txt");

if ($check ==0){
	exit("您的ip地址受限制了。");
}

if (isset($_GET['c'])) {
	$chn = intval($_GET['c']);
	if ($chn >= count($channel)){
		$chn = 0;
	}
} else {
	$chn = 0;
}

$title = $channel[$chn]['name'];
$streamid = $channel[$chn]['stream'];

$rtmp_addr = "rtmp://".LIVE_RTMP."/".LIVE_APP."/".$streamid; //定义rtmp流地址
$flv_addr = "http://".LIVE_FLV."/".LIVE_APP."/".$streamid.".flv"; //定义rtmp流地址
$hls_addr = "http://".LIVE_M3U8."/".LIVE_APP."/".$streamid.".m3u8"; //与rtmp相应的HLS流地址
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title><?=$title?></title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=2.0,user-scalable=no" />
		<link rel="stylesheet" href="image/index.css" type="text/css"/>		
		<script type="text/javascript" src="js/livechat.js"></script>
		<script type="text/javascript" src="js/flv.min.js"></script>
	</head>
	<body onload="init();">
			<div class="top_bar">
				<img src="image/logo.png" />
				<div class="corner">
					<span><a>选择频道</a></span>
					<select onchange="window.location.href='index.php?c='+this.value;">
					<option value="<?=$chn?>"><?=$title?></option>
					<option disabled>-----------</option>
<?php
foreach ($channel as $key=>$value){
?>	
						<option value="<?=$key?>"><?=$value['name']?></option>
<?php
}
?>
					</select>
				</div>
				<div class="clear"></div>
			</div>
			<div class="main">
				<div id="VideoWindow">
					<div id="Player">
						<!-- 播放器代码 -->	
						<video id="videoElement" width="100%" autoplay controls >网页视频播放器加载中，请稍候...</video>
					</div>
				</div>

				<div id="ChatWindow">
					<div id="MsgBox">			
					</div>
				</div>
				<div class="clear"></div>
				<div id="Sendbox">
					<p>姓名：
						<input type="text" id="username" > 
						<strong><span id="notice"></span></strong>
					</p>
					<p>留言：
						<input type="text" id="subject" onkeydown="enter_msg(event);" <?php if ($check ==0) echo "disabled='disabled' placeholder='您没有留言权限。'"?>>
						<button id="submit" onclick="submit_msg();" <?php if ($check ==0) echo "disabled='disabled'"?>>发送</button>
					</p>
				</div>
				<div class="clear"></div>
			</div>		
		<footer>
			<p>您的IP：<?php echo $_SERVER["REMOTE_ADDR"];?><br />
			本直播页支持PC和移动终端<br />
			<span id="online"><img src="image/wait.gif">正在统计在线数...</span>
			</p>
		</footer>
		
		<script type="text/javascript">
			var rtmp_addr = "<?=@$rtmp_addr?>"; //定义rtmp流地址
			var flv_addr = "<?=@$flv_addr?>"; //定义rtmp流地址
			var hls_addr = "<?=@$hls_addr?>"; //与rtmp相应的HLS流地址
			var flashInstalled = (function(){      // 检测浏览器是否安装flash播放插件
			  if(typeof window.ActiveXObject != "undefined"){
				return new ActiveXObject("ShockwaveFlash.ShockwaveFlash");
			  }else{
				return navigator.plugins['Shockwave Flash'];
			  }
			})();

			//检测终端类型
			var agent = new Array("iphone", "ipod", "ipad", "android");
			var browser = navigator.userAgent.toLowerCase(); 
			var isMobile = false; 
			var playcode = '';
			for (var i=0; i<agent.length; i++) { 
				if (browser.indexOf(agent[i])!=-1) {
					isMobile = true; 		
					break; 
				}
			} 
			
			// 根据终端类型调用不同视频流地址即播放器
			if (isMobile == true){
				// alert('手机');
				playcode ='<video  width="100%" autoplay controls autobuffer type="application/vnd.apple.mpegurl" src="' + hls_addr + '"> </video>';
				document.getElementById('Player').innerHTML = playcode;			
			} else {
				// alert('PC');
				if (flashInstalled){ // 如有flash则优先使用，比flvjs稳定
					playcode = '<embed flashvars="src='+ rtmp_addr +'&amp;streamType=live&amp;autoPlay=true&amp;controlBarAutoHide=true&amp;controlBarPosition=bottom" width="100%" height="100%" type="application/x-shockwave-flash" src="image/StrobeMediaPlayback.swf" quality="high" allowfullscreen="true"/>';
					document.getElementById('Player').innerHTML = playcode;
				} else {
					// 如未安装flash则判断浏览器是否支持flvjs，支持则调用flv播放器
					if (flvjs.isSupported()) {
						var videoElement = document.getElementById('videoElement');
						var flvPlayer = flvjs.createPlayer({
							type: 'flv',
							isLive: true,
							enableStashBuffer: true,
							url: flv_addr
						});
						flvPlayer.attachMediaElement(videoElement);
						flvPlayer.load();
						flvPlayer.play();
					}						
				}
			}
		</script>
	</body>
</html>
